package com.supervision.service;

import com.supervision.dto.robot.RobotTalkDTO;
import com.supervision.model.RobotTalkReq;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface IChatService {
    RobotTalkDTO talk(MultipartFile file, RobotTalkReq robotTalkReq);

    void getAudio(HttpServletResponse response, String audioId) throws IOException;
}
